# Class Controller

#### Hierarchy

- Controller

- Defined in src/drawing/featureStyleComponent.js:88

#####
Index

### Properties

arrowDirections
arrowPositions
color
feature
featureHelper_
featureListenerKeys_
label
measure
scope_
type
uid

### Methods

getSetAngle
getSetArrowDirection
getSetArrowPosition
getSetName
getSetOpacity
getSetProperty_
getSetShowLabel
getSetShowMeasure
getSetSize
getSetStroke
handleColorSet_
handleFeatureChange_
handleFeatureSet_
handleGeometryChange_

## Properties

### arrowDirections

arrowDirections: {
BACKWARD: string;
BOTH: string;
FORWARD: string;
NONE: string;
}

Arrow possible direction on segments of lines.

#### Type declaration

- ##### BACKWARD: string

- ##### BOTH: string

- ##### FORWARD: string

- ##### NONE: string

- Defined in src/drawing/featureStyleComponent.js:131

### arrowPositions

arrowPositions: {
EVERY: string;
FIRST: string;
LAST: string;
}

Arrow possible position on lines.

#### Type declaration

- ##### EVERY: string

- ##### FIRST: string

- ##### LAST: string

- Defined in src/drawing/featureStyleComponent.js:138

### color

color: string

- Defined in src/drawing/featureStyleComponent.js:112
- Defined in src/drawing/featureStyleComponent.js:170
- Defined in src/drawing/featureStyleComponent.js:199

### feature

feature: Feature<Geometry>

- Defined in src/drawing/featureStyleComponent.js:97

### featureHelper_

featureHelper_: FeatureHelper

- Defined in src/drawing/featureStyleComponent.js:107

### featureListenerKeys_

featureListenerKeys_: EventsKey[]

- Defined in src/drawing/featureStyleComponent.js:145

### label

label: string

- Defined in src/drawing/featureStyleComponent.js:117
- Defined in src/drawing/featureStyleComponent.js:172

### measure

measure: string

Value of the measure (line length, area, ...).

- Defined in src/drawing/featureStyleComponent.js:124
- Defined in src/drawing/featureStyleComponent.js:171
- Defined in src/drawing/featureStyleComponent.js:200
- Defined in src/drawing/featureStyleComponent.js:320

### scope_

scope_: IScope

- Defined in src/drawing/featureStyleComponent.js:102

### type

type: string

- Defined in src/drawing/featureStyleComponent.js:152
- Defined in src/drawing/featureStyleComponent.js:169
- Defined in src/drawing/featureStyleComponent.js:198

### uid

uid: string

- Defined in src/drawing/featureStyleComponent.js:92

## Methods

### getSetAngle

- getSetAngle(value: number): number

- ### Returns

  The angle of the feature.

  #### Parameters

  - ##### value: number

    A name value to set or undefined to get.

  #### Returns number

  - Defined in src/drawing/featureStyleComponent.js:220

### getSetArrowDirection

- getSetArrowDirection(value: number): number

- ### Returns

  The arrow-direction of the feature.

  #### Parameters

  - ##### value: number

    A arrow-direction value to set or undefined to get.

  #### Returns number

  - Defined in src/drawing/featureStyleComponent.js:278

### getSetArrowPosition

- getSetArrowPosition(value: number): number

- ### Returns

  The arrow-position of the feature.

  #### Parameters

  - ##### value: number

    A arrow-position value to set or undefined to get.

  #### Returns number

  - Defined in src/drawing/featureStyleComponent.js:286

### getSetName

- getSetName(value: string): string

- ### Returns

  The name of the feature.

  #### Parameters

  - ##### value: string

    A name value to set or undefined to get.

  #### Returns string

  - Defined in src/drawing/featureStyleComponent.js:228

### getSetOpacity

- getSetOpacity(value: number): number

- ### Returns

  The stroke of the feature.

  #### Parameters

  - ##### value: number

    A stroke value to set or undefined to get.

  #### Returns number

  - Defined in src/drawing/featureStyleComponent.js:245

### getSetProperty_

- getSetProperty_(key: string, value: string | number | boolean): string | number | boolean

- ### Returns

  The property value of the feature.

  #### Parameters

  - ##### key: string

    The property name.

  - ##### value: string | number | boolean

    A value to set or undefined to get.

  #### Returns string | number | boolean

  - Defined in src/drawing/featureStyleComponent.js:296

### getSetShowLabel

- getSetShowLabel(value: boolean): boolean

- ### Returns

  Whether to show the labels or not.

  #### Parameters

  - ##### value: boolean

    A value to set or undefined for the purpose of showing the attribute labels or not.

  #### Returns boolean

  - Defined in src/drawing/featureStyleComponent.js:237

### getSetShowMeasure

- getSetShowMeasure(value: boolean): boolean

- ### Returns

  Whether to show the measurements or not.

  #### Parameters

  - ##### value: boolean

    A value to set or undefined to get for the purpose of showing the geometry measurements or not.

  #### Returns boolean

  - Defined in src/drawing/featureStyleComponent.js:254

### getSetSize

- getSetSize(value: number): number

- ### Returns

  The size of the feature.

  #### Parameters

  - ##### value: number

    A size value to set or undefined to get.

  #### Returns number

  - Defined in src/drawing/featureStyleComponent.js:262

### getSetStroke

- getSetStroke(value: number): number

- ### Returns

  The stroke of the feature.

  #### Parameters

  - ##### value: number

    A stroke value to set or undefined to get.

  #### Returns number

  - Defined in src/drawing/featureStyleComponent.js:270

### handleColorSet_

- handleColorSet_(newColor: string): void

- #### Parameters

  - ##### newColor: string

    Color.

  #### Returns void

  - Defined in src/drawing/featureStyleComponent.js:207

### handleFeatureChange_

- handleFeatureChange_(): void

- #### Returns void

  - Defined in src/drawing/featureStyleComponent.js:306

### handleFeatureSet_

- handleFeatureSet_(newFeature: Feature<Geometry>, previousFeature: Feature<Geometry>): void

- Called when a new feature is set, which can also be null.

  #### Parameters

  - ##### newFeature: Feature<Geometry>

    New feature or null value.

  - ##### previousFeature: Feature<Geometry>

    Previous feature or null value.

  #### Returns void

  - Defined in src/drawing/featureStyleComponent.js:163

### handleGeometryChange_

- handleGeometryChange_(): void

- #### Returns void

  - Defined in src/drawing/featureStyleComponent.js:316

Generated using TypeDoc